Subject: FVWM: Mini Icons for NoTitle windows

From: [email-masked] (David S. Goldberg)
Date: 11 Feb 1997 08:56:29 -0500

Now that mini icons are useful for things other than titlebar buttons
(FvwmIconMan and FvwmPager in particular) I noticed that some of my
windows weren't getting the mini icon assigned no matter what I did in
my .fvwm2rc.  Eventually I figured out that the windows in question
were those which were given NoTitle as a Style.  Since I initially
thought it was a bug in FvwmIconMan, I pestered Brady Montz with the
problem.  I thank him for his patience and also for pointing out the
right place to fix it in the code.  Attached is a patch to
add_window.c that fixes the problem.

--
Dave Goldberg
Post: The Mitre Corporation\MS B305\202 Burlington Rd.\Bedford, MA 01730
Phone: 617-271-3887
Email: [email-masked]